# Interface IResultsComponentBindings

## Index

### Properties

- componentOptionsModel
- componentStateModel
- queryController
- queryStateModel
- root
- searchInterface
- usageAnalytics

## Properties

### Optional componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from IComponentBindings.componentOptionsModel

- Defined in ui/Base/ComponentBindings.ts :39

### Optional componentStateModel

componentStateModel: ComponentStateModel

Inherited from IComponentBindings.componentStateModel

- Defined in ui/Base/ComponentBindings.ts :23

### Optional queryController

queryController: QueryController

Inherited from IComponentBindings.queryController

- Defined in ui/Base/ComponentBindings.ts :27

### Optional queryStateModel

queryStateModel: QueryStateModel

Inherited from IComponentBindings.queryStateModel

- Defined in ui/Base/ComponentBindings.ts :19

### Optional root

root: HTMLElement

Inherited from IComponentBindings.root

- Defined in ui/Base/ComponentBindings.ts :15

### Optional searchInterface

searchInterface: SearchInterface

Inherited from IComponentBindings.searchInterface

- Defined in ui/Base/ComponentBindings.ts :31

### Optional usageAnalytics

usageAnalytics: IAnalyticsClient

Inherited from IComponentBindings.usageAnalytics

- Defined in ui/Base/ComponentBindings.ts :35

### Hierarchy

- IComponentBindings